    jQuery(document).ready(function($){
        var prefix = ".sua-";
        var box = $(prefix+"box");
        var form = box.find('form');
        var link = box.find('a');
        var close = box.find(prefix+'close');
        var dismiss = box.find(prefix+'dismiss');
        var remove = box.find(prefix+'remove');
        
        if (undefined != sua_config.background_color) {
            box.css({backgroundColor:sua_config.background_color});
        }
        
        
        close.bind("click", function(){
            box.slideUp(parseInt(sua_config.animation_time)); 
        });
        
        dismiss.bind("click", function(){
            box.slideUp(parseInt(sua_config.animation_time)); 
            box.delay(parseInt(sua_config.dismiss_interval)).slideDown(parseInt(sua_config.animation_time));   
        });
        
        remove.bind("click", function(){
            var data = {action: 'sua_util', func: 'remove'};
            
            $.post(sua_config.ajaxurl, data, function(response) {
//                alert(response);
            });
            
            box.slideUp(parseInt(sua_config.animation_time)); 
        });
        
        link.bind("click", function(){
            var data = {
                action: 'sua_counter',
                nonce: sua_config.nonce 
            };
            
            $.post(sua_config.ajaxurl, data, function(response) {
//                alert(response);
            });
            
//            return false;
        });
        
        form.bind("submit", function(){
            $(this).find("input[type=submit], input[type=image]").attr("disabled", "disabled");
            
            var data = {
                action: 'sua_counter',
                nonce: sua_config.nonce 
            };
            
            $.post(sua_config.ajaxurl, data, function(response) {
//                alert(response);
            });
            
//            return false;
        });
        
        box.delay(parseInt(sua_config.delay)).slideDown(parseInt(sua_config.animation_time));
    });