(function($) {
   $.fn.colorpicker = function(settings) {
     var config = {

     };
     
     if (settings) $.extend(config, settings);
              
     this.each(function(index, element) {   

        // Set change event function.
        $(element).change(function() {
            $(element).css("backgroundColor", $(element).val());
        });

        // Attach the farbtastic color picker.
        var id = $(element).attr("id");
        $(element).after($('<div class="colorpicker"><div class="farbtastic"></div><div class="close">Close</div></div>'));
        $(element).find("~ .colorpicker").find(".farbtastic").farbtastic(element);

        $(element).click(function() {
            $(element).find("~ .colorpicker").show();       
        });   

        $(element).find("~ .colorpicker").find(".close").click(function() {        
            $(this).parents(".colorpicker").hide();
            $(element).trigger("change");
        });
     });
     
     return this;
   };
})(jQuery);